xfstests: update test 250 and its golden output
[xfstests-dev.git] / 212
1 #! /bin/bash
2 # FS QA Test No. 212
3 #
4 # Run aio-io-setup-with-nonwritable-context-pointer -
5 # Test what happens when a non-writable context pointer is passed to io_setup
6 #
7 #-----------------------------------------------------------------------
8 # Copyright (c) 2009 Eric Sandeen.  All Rights Reserved.
9 #
10 # This program is free software; you can redistribute it and/or
11 # modify it under the terms of the GNU General Public License as
12 # published by the Free Software Foundation.
13 #
14 # This program is distributed in the hope that it would be useful,
15 # but WITHOUT ANY WARRANTY; without even the implied warranty of
16 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
17 # GNU General Public License for more details.
18 #
19 # You should have received a copy of the GNU General Public License
20 # along with this program; if not, write the Free Software Foundation,
21 # Inc.,  51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
22 #-----------------------------------------------------------------------
23 #
24 # creator
25 owner=sandeen@sandeen.net
26
27 seq=`basename $0`
28 echo "QA output created by $seq"
29
30 here=`pwd`
31 tmp=/tmp/$$
32 status=1        # failure is the default!
33 trap "_cleanup; exit \$status" 0 1 2 3 15
34
35 _cleanup()
36 {
37     cd /
38     rm -f $tmp.*
39 }
40
41 # get standard environment, filters and checks
42 . ./common.rc
43 . ./common.filter
44
45 # real QA test starts here
46
47 _supported_fs generic
48 _supported_os Linux
49
50 rm -f $TEST_DIR/aio-testfile
51 AIO_TEST=src/aio-dio-regress/aio-io-setup-with-nonwritable-context-pointer
52 [ -x $AIO_TEST ] || _notrun "$AIO_TEST not built"
53 $AIO_TEST $TEST_DIR/aio-testfile 2>&1
54 status=$?
55 rm -f $TEST_DIR/aio-testfile
56
57 exit $status